JaxbHibernateConfiguration.JaxbSessionFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.cfg
Class JaxbHibernateConfiguration.JaxbSessionFactory

    java.lang.Object
      org.hibernate.internal.jaxb.cfg.JaxbHibernateConfiguration.JaxbSessionFactory

Enclosing class:
  JaxbHibernateConfiguration

    public static class JaxbHibernateConfiguration.JaxbSessionFactory

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="property" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <simpleContent>
                   <extension base="<http://www.w3.org/2001/XMLSchema>string">
                     <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </extension>
                 </simpleContent>
               </complexType>
             </element>
             <element name="mapping" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <attribute name="class" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="file" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="jar" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="package" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="resource" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="class-cache">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="include" default="all">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                             <enumeration value="all"/>
                             <enumeration value="non-lazy"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                       <attribute name="region" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="usage" use="required" type="{http://www.hibernate.org/xsd/hibernate-configuration}usage-attribute" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="collection-cache">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="collection" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="region" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="usage" use="required" type="{http://www.hibernate.org/xsd/hibernate-configuration}usage-attribute" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </choice>
             <element name="event" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="listener" type="{http://www.hibernate.org/xsd/hibernate-configuration}listener-element" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                     <attribute name="type" use="required" type="{http://www.hibernate.org/xsd/hibernate-configuration}type-attribute" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="listener" type="{http://www.hibernate.org/xsd/hibernate-configuration}listener-element" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbClassCache` Java class for anonymous complex type.
`static class` | `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbCollectionCache` Java class for anonymous complex type.
`static class` | `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent` Java class for anonymous complex type.
`static class` | `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping` Java class for anonymous complex type.
`static class` | `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty` Java class for anonymous complex type.

Field Summary
`protected List<Object>` | `classCacheOrCollectionCache`
`protected List<JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent>` | `event`
`protected List<JaxbListenerElement>` | `listener`
`protected List<JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping>` | `mapping`
`protected String` | `name`
`protected List<JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty>` | `property`

Constructor Summary
`JaxbHibernateConfiguration.JaxbSessionFactory()`

Method Summary
`List<Object>` | `getClassCacheOrCollectionCache()` Gets the value of the classCacheOrCollectionCache property.
`List<JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent>` | `getEvent()` Gets the value of the event property.
`List<JaxbListenerElement>` | `getListener()` Gets the value of the listener property.
`List<JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping>` | `getMapping()` Gets the value of the mapping property.
`String` | `getName()` Gets the value of the name property.
`List<JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty>` | `getProperty()` Gets the value of the property property.
`void` | `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### property

    protected List<JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty> property

### mapping

    protected List<JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping> mapping

### classCacheOrCollectionCache

    protected List<Object> classCacheOrCollectionCache

### event

    protected List<JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent> event

### listener

    protected List<JaxbListenerElement> listener

### name

    protected String name

Constructor Detail

### JaxbHibernateConfiguration.JaxbSessionFactory

    public JaxbHibernateConfiguration.JaxbSessionFactory()

Method Detail

### getProperty

    public List<JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty> getProperty()

  Gets the value of the property property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the property property.

  For example, to add a new item, do as follows:

          getProperty().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty`

### getMapping

    public List<JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping> getMapping()

  Gets the value of the mapping property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the mapping property.

  For example, to add a new item, do as follows:

          getMapping().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping`

### getClassCacheOrCollectionCache

    public List<Object> getClassCacheOrCollectionCache()

  Gets the value of the classCacheOrCollectionCache property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the classCacheOrCollectionCache property.

  For example, to add a new item, do as follows:

          getClassCacheOrCollectionCache().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbClassCache` `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbCollectionCache`

### getEvent

    public List<JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent> getEvent()

  Gets the value of the event property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the event property.

  For example, to add a new item, do as follows:

          getEvent().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent`

### getListener

    public List<JaxbListenerElement> getListener()

  Gets the value of the listener property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the listener property.

  For example, to add a new item, do as follows:

          getListener().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbListenerElement`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.